3. OpenPGP Signatures on Configuration/Database Files
Prev | Appendix A. List of options for the configure script | Next

## 3. OpenPGP Signatures on Configuration/Database Files

--with-gpg=PATH

  Use GnuPG to verify database/configuration file. The public key of the effective user, usually root, (in `~/.gnupg/pubring.gpg`) will be used.

--with-keyid=0x<hex KeyID>

  This optional argument allows to specify a key ID, if there is more than one key in your keyring. This is only used for the installation routine, and for configuring the samhainadmin.pl convenience script.

--with-checksum=CHECKSUM

  Compile in TIGER checksum of the gpg binary. CHECKSUM must be the full line output by samhain or gpg when computing the checksum.

--with-fp=FINGERPRINT

  Compile in the fingerprint of the key used to sign the configuration/database file. If used, samhain will verify the fingerprint, but still report on the used public key.

Prev | Up | Next
2. Optional modules to perform additional checks | Home | 4. Client/Server Connectivity